C-limber's highへようこそ。
C-limber's highは山登りのサイトではなく、福岡システム開発WEB制作会社 C-limber(クライマー)株式会社の技術メモブログです。
福岡システム開発ホームページ制作をお探しの方はお気軽にご相談下さい。

2016年3月26日土曜日

[Composer]なんかまたエラーがでて進めない

13:31 Posted by 井口達也 , No comments
こんにちは、エンジニアの井口です。

composerのfxp/composer-asset-pluginはめんどくさい

便利なcomposerですが、
ちょっと前にcomposerでエラーがでて、
composer global require "fxp/composer-asset-plugin:~1.0.3"
なんかしたりして対処してめんどくせってなってましたが、
最近やるとまたなんかエラーが出ると・・

fxp/composer-asset-pluginに関しては、ちょこちょこと推奨バージョンが変更になっているようです。
めんどくさいので、対処法メモしておきます。

参考:solr - yii2 composer update fatal error - Stack Overflow

-------------

1) Composer Asset Pluginを削除

composer global remove "fxp/composer-asset-plugin"

2) fxp/composer-asset-pluginの推奨バージョンをインストール

推奨バージョンはココで確認
composer global require "fxp/composer-asset-plugin:*"

3) composer installして、エラーでるならvendorフォルダ内とcomposer.logを消去して再度試す



以上メモでした。



↓↓引き続き募集中です(^^)

弊社ではシステム開発、Web制作, Iot案件など幅広く対応しております。
ビジネスプランをお持ちの方、WEBアプリを使って何か新しいビジネスを始めたい方、
僕達が力になれるかもしれません
是非お問い合わせ下さい
-----------------------------------------------
同時に、デザイナ、エンジニア、コーダの方募集中です。
サーバ周りからデザイン、システムまでワンストップでの開発を経験できますので、
WEB開発の事を学びたい方にぴったりな職場だと思っております。
またそういった向上心あふれる方と一緒に成長してきたいと思っておりますので、
興味を持たれた方はとりあえずご連絡下さい(^^)
-----------------------------------------------
福岡のシステム開発・Web制作 C-limber(クライマー)株式会社


0 コメント:

コメントを投稿